Commit 27418b18 authored by Lubomir Rintel's avatar Lubomir Rintel 🥕

Revert "contrib/rpm: remove Group tag for Fedora 30+"

Group tag is not required, though is harmless. We could either remove it,
or keep it, but there's absolutely no excuse for conditionalizing it.

Let's keep it for now, because rpm -i still prints it.

This reverts commit 1feeba6f.
parent f8578ddc
...@@ -103,12 +103,6 @@ ...@@ -103,12 +103,6 @@
%global dhcp_default internal %global dhcp_default internal
%endif %endif
%if 0%{?fedora} >= 30
%global group_tag 0
%else
%global group_tag 1
%endif
############################################################################### ###############################################################################
Name: NetworkManager Name: NetworkManager
...@@ -116,9 +110,7 @@ Summary: Network connection manager and user applications ...@@ -116,9 +110,7 @@ Summary: Network connection manager and user applications
Epoch: %{epoch_version} Epoch: %{epoch_version}
Version: %{rpm_version} Version: %{rpm_version}
Release: %{release_version}%{?snap}%{?dist} Release: %{release_version}%{?snap}%{?dist}
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
License: GPLv2+ License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/ URL: http://www.gnome.org/projects/NetworkManager/
...@@ -252,9 +244,7 @@ services. ...@@ -252,9 +244,7 @@ services.
%if %{with adsl} %if %{with adsl}
%package adsl %package adsl
Summary: ADSL device plugin for NetworkManager Summary: ADSL device plugin for NetworkManager
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Obsoletes: NetworkManager < %{obsoletes_device_plugins} Obsoletes: NetworkManager < %{obsoletes_device_plugins}
Obsoletes: NetworkManager-atm Obsoletes: NetworkManager-atm
...@@ -267,9 +257,7 @@ This package contains NetworkManager support for ADSL devices. ...@@ -267,9 +257,7 @@ This package contains NetworkManager support for ADSL devices.
%if %{with bluetooth} %if %{with bluetooth}
%package bluetooth %package bluetooth
Summary: Bluetooth device plugin for NetworkManager Summary: Bluetooth device plugin for NetworkManager
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: NetworkManager-wwan = %{epoch}:%{version}-%{release} Requires: NetworkManager-wwan = %{epoch}:%{version}-%{release}
Requires: bluez >= 4.101-5 Requires: bluez >= 4.101-5
...@@ -284,9 +272,7 @@ This package contains NetworkManager support for Bluetooth devices. ...@@ -284,9 +272,7 @@ This package contains NetworkManager support for Bluetooth devices.
%if %{with team} %if %{with team}
%package team %package team
Summary: Team device plugin for NetworkManager Summary: Team device plugin for NetworkManager
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
BuildRequires: teamd-devel BuildRequires: teamd-devel
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Obsoletes: NetworkManager < %{obsoletes_device_plugins} Obsoletes: NetworkManager < %{obsoletes_device_plugins}
...@@ -301,9 +287,7 @@ This package contains NetworkManager support for team devices. ...@@ -301,9 +287,7 @@ This package contains NetworkManager support for team devices.
%if %{with wifi} %if %{with wifi}
%package wifi %package wifi
Summary: Wifi plugin for NetworkManager Summary: Wifi plugin for NetworkManager
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
%if %{with iwd} && (0%{?fedora} > 24 || 0%{?rhel} > 7) %if %{with iwd} && (0%{?fedora} > 24 || 0%{?rhel} > 7)
...@@ -325,9 +309,7 @@ This package contains NetworkManager support for Wifi and OLPC devices. ...@@ -325,9 +309,7 @@ This package contains NetworkManager support for Wifi and OLPC devices.
%if %{with wwan} %if %{with wwan}
%package wwan %package wwan
Summary: Mobile broadband device plugin for NetworkManager Summary: Mobile broadband device plugin for NetworkManager
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: ModemManager Requires: ModemManager
Obsoletes: NetworkManager < %{obsoletes_device_plugins} Obsoletes: NetworkManager < %{obsoletes_device_plugins}
...@@ -341,9 +323,7 @@ devices. ...@@ -341,9 +323,7 @@ devices.
%if %{with ovs} %if %{with ovs}
%package ovs %package ovs
Summary: Open vSwitch device plugin for NetworkManager Summary: Open vSwitch device plugin for NetworkManager
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
%if 0%{?rhel} == 0 %if 0%{?rhel} == 0
Requires: openvswitch Requires: openvswitch
...@@ -357,9 +337,7 @@ This package contains NetworkManager support for Open vSwitch bridges. ...@@ -357,9 +337,7 @@ This package contains NetworkManager support for Open vSwitch bridges.
%if %{with ppp} %if %{with ppp}
%package ppp %package ppp
Summary: PPP plugin for NetworkManager Summary: PPP plugin for NetworkManager
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: ppp = %{ppp_version} Requires: ppp = %{ppp_version}
Requires: NetworkManager = %{epoch}:%{version}-%{release} Requires: NetworkManager = %{epoch}:%{version}-%{release}
...@@ -372,9 +350,7 @@ This package contains NetworkManager support for PPP. ...@@ -372,9 +350,7 @@ This package contains NetworkManager support for PPP.
%package glib %package glib
Summary: Libraries for adding NetworkManager support to applications (old API). Summary: Libraries for adding NetworkManager support to applications (old API).
%if %{group_tag}
Group: Development/Libraries Group: Development/Libraries
%endif
Requires: dbus >= %{dbus_version} Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version} Requires: dbus-glib >= %{dbus_glib_version}
Conflicts: NetworkManager-libnm < %{epoch}:%{version}-%{release} Conflicts: NetworkManager-libnm < %{epoch}:%{version}-%{release}
...@@ -387,9 +363,7 @@ the older NetworkManager API. See also NetworkManager-libnm. ...@@ -387,9 +363,7 @@ the older NetworkManager API. See also NetworkManager-libnm.
%package glib-devel %package glib-devel
Summary: Header files for adding NetworkManager support to applications (old API). Summary: Header files for adding NetworkManager support to applications (old API).
%if %{group_tag}
Group: Development/Libraries Group: Development/Libraries
%endif
Requires: %{name}-glib%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}-glib%{?_isa} = %{epoch}:%{version}-%{release}
Requires: glib2-devel Requires: glib2-devel
Requires: pkgconfig Requires: pkgconfig
...@@ -407,9 +381,7 @@ This is the older NetworkManager API. See also NetworkManager-libnm-devel. ...@@ -407,9 +381,7 @@ This is the older NetworkManager API. See also NetworkManager-libnm-devel.
%package libnm %package libnm
Summary: Libraries for adding NetworkManager support to applications (new API). Summary: Libraries for adding NetworkManager support to applications (new API).
%if %{group_tag}
Group: Development/Libraries Group: Development/Libraries
%endif
Conflicts: NetworkManager-glib < %{epoch}:%{version}-%{release} Conflicts: NetworkManager-glib < %{epoch}:%{version}-%{release}
%description libnm %description libnm
...@@ -420,9 +392,7 @@ NetworkManager API. See also NetworkManager-glib. ...@@ -420,9 +392,7 @@ NetworkManager API. See also NetworkManager-glib.
%package libnm-devel %package libnm-devel
Summary: Header files for adding NetworkManager support to applications (new API). Summary: Header files for adding NetworkManager support to applications (new API).
%if %{group_tag}
Group: Development/Libraries Group: Development/Libraries
%endif
Requires: %{name}-libnm%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}-libnm%{?_isa} = %{epoch}:%{version}-%{release}
Requires: glib2-devel Requires: glib2-devel
Requires: pkgconfig Requires: pkgconfig
...@@ -436,9 +406,7 @@ is the new NetworkManager API. See also NetworkManager-glib-devel. ...@@ -436,9 +406,7 @@ is the new NetworkManager API. See also NetworkManager-glib-devel.
%if %{with connectivity_fedora} %if %{with connectivity_fedora}
%package config-connectivity-fedora %package config-connectivity-fedora
Summary: NetworkManager config file for connectivity checking via Fedora servers Summary: NetworkManager config file for connectivity checking via Fedora servers
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
BuildArch: noarch BuildArch: noarch
Provides: NetworkManager-config-connectivity = %{epoch}:%{version}-%{release} Provides: NetworkManager-config-connectivity = %{epoch}:%{version}-%{release}
...@@ -451,9 +419,7 @@ via Fedora infrastructure. ...@@ -451,9 +419,7 @@ via Fedora infrastructure.
%if %{with connectivity_redhat} %if %{with connectivity_redhat}
%package config-connectivity-redhat %package config-connectivity-redhat
Summary: NetworkManager config file for connectivity checking via Red Hat servers Summary: NetworkManager config file for connectivity checking via Red Hat servers
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
BuildArch: noarch BuildArch: noarch
Provides: NetworkManager-config-connectivity = %{epoch}:%{version}-%{release} Provides: NetworkManager-config-connectivity = %{epoch}:%{version}-%{release}
...@@ -465,9 +431,7 @@ via Red Hat infrastructure. ...@@ -465,9 +431,7 @@ via Red Hat infrastructure.
%package config-server %package config-server
Summary: NetworkManager config file for "server-like" defaults Summary: NetworkManager config file for "server-like" defaults
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
BuildArch: noarch BuildArch: noarch
%description config-server %description config-server
...@@ -483,9 +447,7 @@ deployments. ...@@ -483,9 +447,7 @@ deployments.
%package dispatcher-routing-rules %package dispatcher-routing-rules
Summary: NetworkManager dispatcher file for advanced routing rules Summary: NetworkManager dispatcher file for advanced routing rules
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
BuildArch: noarch BuildArch: noarch
Provides: %{name}-config-routing-rules = %{epoch}:%{version}-%{release} Provides: %{name}-config-routing-rules = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-config-routing-rules < %{epoch}:%{version}-%{release} Obsoletes: %{name}-config-routing-rules < %{epoch}:%{version}-%{release}
...@@ -499,9 +461,7 @@ configurations using "/etc/sysconfig/network-scripts/rule-NAME" files ...@@ -499,9 +461,7 @@ configurations using "/etc/sysconfig/network-scripts/rule-NAME" files
%if 0%{with_nmtui} %if 0%{with_nmtui}
%package tui %package tui
Summary: NetworkManager curses-based UI Summary: NetworkManager curses-based UI
%if %{group_tag}
Group: System Environment/Base Group: System Environment/Base
%endif
Requires: %{name} = %{epoch}:%{version}-%{release} Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name}-libnm%{?_isa} = %{epoch}:%{version}-%{release} Requires: %{name}-libnm%{?_isa} = %{epoch}:%{version}-%{release}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment